#ifndef _MENU_H_
#define _MENU_H_

#include "io.h"

extern char RomPath[MAX_PATH];
extern char RomName[MAX_PATH];
extern char SavePath[MAX_PATH];

typedef struct
{
	int screensize;
	int gb_type;
	int gb_palette;
	int sgb_border;
	char lastpath[256];
} SETTING;

extern SETTING setting;

void set_gb_type(void);

void config_init(void);
int config_load_rom(BROWSERFILEINFO *file);

int menu_main(void);
int menu_pause(void);
int menu_load_rom(void);


#endif
